cURL
curl --request POST \ --url https://api.scholarlysoftware.com/api/v1/faculty_activities \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/vnd.api+json' \ --data ' { "data": { "type": "faculty_activity", "attributes": { "key": "<string>", "external_id": "<string>", "featured": true, "properties": {} }, "relationships": {} } } '
{ "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "type": "faculty_activity", "attributes": { "created_at": "<string>", "updated_at": "<string>", "key": "<string>", "external_id": "<string>", "featured": true, "start_date": "2023-12-25", "end_date": "2023-12-25", "properties": {}, "calculated_properties": {} }, "relationships": { "profile": { "links": { "related": "<string>" }, "meta": {}, "data": { "type": "profile", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } } } } }
Documentation IndexFetch the complete documentation index at: https://api-docs.scholarlysoftware.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://api-docs.scholarlysoftware.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Bearer token
Show child attributes
faculty activity created